> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contracts

> List contracts

### Query parameters

<ParamField query="customer_id" type="string" />

<ParamField query="status" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

<ParamField query="after" type="string">
  Cursor for keyset pagination (opaque token from `next_cursor`).
</ParamField>

### Responses

<ResponseField name="200" type="RevenueContractListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/revenue-contracts' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "has_more": true,
    "next_cursor": null,
    "revenue_contracts": [
      {
        "contract_number": "string",
        "created_at": "string",
        "currency": "string",
        "customer_id": "string",
        "deferred_balance": "string",
        "effective_date": "string",
        "id": "string",
        "obligations": [],
        "status": "string",
        "total_recognized": "string",
        "transaction_price": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
